import { Component, effect, inject } from '@angular/core';
import { NgFor } from '@angular/common';
import { PostsService } from '../../shared/services/posts.service';
import { RouterLink } from '@angular/router';
import { ButtonComponent } from '../../components/button/button.component';

@Component({
  selector: 'app-admin',
  imports: [NgFor, RouterLink, ButtonComponent],
  standalone: true,
  templateUrl: './dashboard.component.html',
})
export class DashboardComponent {
  private postsService = inject(PostsService);
  posts = this.postsService.getPosts();

  delete(id: number) {
    this.postsService.deletePost(id);
  }
}
